--Informacin del Sistema PSPCleaner
--Crear Colores
azul = Color.new(240, 240, 255,255)
morado = Color.new(138, 18, 255,255)
rojo = Color.new(255, 0, 0,255)
lightblue = Color.new(200, 255, 255,255)
negro = Color.new(0, 0, 0,255)
rojofuerte = Color.new(160,0,0,255)
blanco = Color.new(255,255,255,255)
silver = Color.new(192,192,192,255)
cyan = Color.new(100, 255, 255,255)
amarillo = Color.new(248, 254, 1,255)
limon = Color.new(27, 243, 37,255)
verde = Color.new(0,255,0,255)
gold = Color.new(249,201,34,255)
mand = Color.new(255,128,0,255)
rosa = Color.new(255,0,128,255)

--Cargar Imagen
fondo = Image.load("imagenes/TRANS4.png")

PSPCLibLoad()

--Poner el CPU a la frecuencia ms alta
PSPCPU333()

--Variables Para el Tiempo/Sistema/Memory Stick
Temp = System.powerGetBatteryTemp()
Volt = System.powerGetBatteryVolt()
apodo = System.nickName()
mac = Adhoc.getMac()
bus = System.getBusSpeed()
porcentaje = System.powerGetBatteryLifePercent()
modelo = System.getModel(1)
cfw = System.cfwVersion()
cpus = System.getCpuSpeed()
ms = string.sub(tostring((System.getFreeSpace("ms0:/")/1024)/1024), 1, 6)
mst = string.sub(tostring((System.getTotalSize("ms0:/")/1024)/1024), 1, 6)

--Funcin para Limpiar Memoria RAM
PSPCleanMemoryRam()

--Escribir Men en Pantalla PSP
screen.startDraw()

screen.endDraw()

--Pequea Variable para Leer Controles y Empezar a Escribir en Pantalla
while true do

pad = Controls.read()


--Escribir en Pantalla la Informacin del Sistema
screen.startDraw()
screen.clear(0)
Image.blit(0,0,fondo)
screen.print(20,20,"Welcome "..apodo,.8,rojo,cyan,0)
screen.print(20,50,"Custom Firmware: " ..cfw,.8,morado,0)
screen.print(20,70,"Number of Model: "..modelo,.8,amarillo,0)
screen.print(20,90,"Battery Percentage: "..porcentaje.."%",.8,cyan,0)
screen.print(20,110,"CPU-BUS: "..cpus.."/"..bus.." MHz",.8,limon,0)
screen.print(20,130,"Battery Voltage:  "..Volt.."v",.8,rosa,0)
screen.print(20,150,"Direccion MAC:  "..mac,.8,mand,0)
screen.print(20,170,"Battery Temp:  "..Temp.."*c",.8,rojofuerte,0)
screen.print(20,190,"Memory Free:  "..ms.." MB's",.8,amarillo,0)
screen.print(20,210,"Total Memory:  "..mst.." MB's",.8,amarillo,0)
screen.print(0,240,"****************************************************************************************",.9,rojo,cyan,0)
screen.print(20,260,"Triangle for exit",.7,verde,rojo,0)
screen.endDraw()

--Al Pulsar Tringulo Regresar al Men
if pad:triangle() then
PSPCTransparent2()
PSPCDofileMenu2()
end

--Preparando para Salir
screen.flipscreen()
screen.waitVblankStart()
oldpad = pad

end